Bug 54884 - Can't install rh 7.1 on system or upgrade to k2.4
Can't install rh 7.1 on system or upgrade to k2.4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-22 13:16 EDT by Matt Clark
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Clark 2001-10-22 13:16:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Complicated and vague I am afraid.
Can't install rh 7.1 on system with various errors- may result from 
problem reading partition tables?

1) 7.1 failed to install over 6.2- ("upgrade") 
the hard disk was corrupted and could not be recovered without the
use of a second machine.
2) A full install fails when trying to format the disk (installer
either hangs or crashes out- sometimes exiting "safe to reboot" sometimes
screen fulls of errors.

3) same machine builds fine with rh7.0 
4) manual upgrading to kernel 2.4.2 fails after a number of
packages are upgraded (sufficent to install kernel-2.4.2-i686.rpm)
machine does reboot to 2.4 but with no keyboard and after
powercycling it kernel panics while trying to mount the disks

4) 7.1 fails to "upgrade" on a new working install over 7.0-
locks up after trying to install a new swap file- and appears
(at this point) to report less space on the hard disk than appeared
under 7.0 (I am not sure at this point if it was supposed to report
disk size or free space, either way it looked a bit small).

I have spent all day trying to get this upgrade to work so
I am loathe to spend another day trying to extract specific
error messages from the mess flying up the screen.

It looks like the disk partitioning software and or
mount software will not cope on this machine under 7.1
I think the kernel 2.4 problems arose after upgrading
some other packages but I can't be sure.

The machine is A-ok under rh7.0 but I want kernel
2.4 for some new drivers.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

1. On my machine, (6x86MX Pr233 / TX4 Motherboard / Seagate Medalist 4321
4Gb disk / AWARD bios), insert rh 7.1 and power on



(that is it)

Actual Results:  Installation fails corrupting the hard disk


Expected Results:  Should have had a nice linux 2.4 box


Additional info:

It takes an annoyingly long time to cycle through this
install process and the disk corruption problems would be
totally fatal if I didn't have another machine to recover
the partitions with.
  
Experimenting with the kernel packages suggests an incompatibility
or error in on of the disk utilities in rh 7.1
Comment 1 Brent Fox 2001-10-22 17:47:45 EDT
Do you have the bandwidth to download 7.2, which was released today?
Comment 2 Matt Clark 2001-10-23 08:40:37 EDT
Will try to get 7.2 and let you know the outcome- matt
Comment 3 Brent Fox 2001-10-23 14:57:40 EDT
ok.
Comment 4 Matt Clark 2001-10-29 07:43:15 EST
Tried rh7.2 "upgrade" and failed

The upgrade process got as far as trying to mount the hard disk
and then failed- it was more graceful than rh7.1 in that it trapped
the error, however it still trashed the hard disk.

On reboot to the previous system (rh7.0 kernel 2.2.16) the hard disk
was trashed- slightly different to the previous problem.

(previously mount experienced a divide by zero error)

This time ext2_fs gave this problem followed by a kernel panic
ext2_fs:fragsize 4096 != blocksize 1024
Invalid session # of type of track
Unable to mount root fs on 03:05

The disk has had to be repaired using e2fsck on another machine
before any progress could be made- it is interesting to note that
there where no errors on the /boot partition but the / partition was
riddled with errors and required the use of a backup super block to
repair.

----------------------
Next move- I am building a new system by placing the hard disk is
another machine (with all the hardware moved over).  This is building
the system nicely and once finished I will place all this back in
the original computer (motherboard) and try to boot it- I'll let you know
what happens (if it is the partion functions a fault it may be ok, if mount
is dodgy then we might not be).

Anyway it looks like the install is chocking on the motherboard / disk 
controller / BIOS- (the bios is proabably ok we are using the same on in
the new build machine, this also means that the hard disk is probably ok).

The motherboard is a Micro Star MS 5156 v2 with a 1995 Award pnp/pci BIOS
if this helps..... matt
Comment 5 Matt Clark 2001-10-29 09:48:57 EST
OK- built rh7.2 system on harddisk using alternative motherboard
System builds fine and runs fine (using ext3 fs)

Rebuild the old computer using the old motherboard (Micro Star MS 5156 v2)
and boot---- fine runs lovely 

Reboot- shutsdown fine umounts the fs "cleanly"- bombs on reboot
todays error is
Loading ext3 module
EXT3-fs error device ide0(3,5)
ext3_check_descriptors 
Block bitmap for group 31 not in group (block 983055) !
ext3-fs group descriptors corrupted !
mount: error 22 mounting ext3
pivotroot: pivot_root (/sysroot,/sysroot/initrd) failed: 2
kernel panic

So in summary the harddisk is OK and accepts the system with no
problems, the new kernel boots fine but trashes the filesystem
somewhere along the way so that rebooting is impossible.

This is beginning to look more like a kernel problem with 2.4 
and the motherboard / harddisk controller than a simple install
program to me.

Since I have wasted a lot of time with this so far and I need a working 
system based on this mother board now I will have to go back to k2.2
and rh7.0 which work fine.  However, I would very much like the new 
parallel port support that came with kernel 2.4 inparticular I would
like the ppdev module to be supported to allow a user space driver 
that doesn't require the use of inb/outb/iopl to work-  Any suggestions?

Thanks matt
Comment 6 Brent Fox 2001-10-29 15:39:05 EST
I can't help you too much with the kernel stuff.  I would suggest opening a new
bug against the kernel to figure out why it doesn't seem to work with your
motherboard, if you have the time to work with the kernel team to figure out
what's wrong.

As for this bug report, do you want me to change the component of this bug to
the kernel and hand it off to the kernel team or should I close it since you've
going back to the 2.2 kernel?
Comment 7 Matt Clark 2001-10-29 17:16:51 EST
bfox,
Could you hand it to the kernel team please? I would like to get the
system up and running on 2.4 someday- thanks matt
Comment 8 Bugzilla owner 2004-09-30 11:39:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.